### R code from vignette source 'rrv.rnw'

###################################################
### code chunk number 1: rrv.rnw:9-12
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(4.1, 4.1, 2.6, 1.6), cex=0.7, cex.main=1)))


###################################################
### code chunk number 2: rrv.rnw:48-49
###################################################
library (rrv)


###################################################
### code chunk number 3: rrv.rnw:53-55
###################################################
data = read_package_data ("rrv", "markowitz.csv", FALSE)
sample_deterministic (data)


###################################################
### code chunk number 4: rrv.rnw:59-63
###################################################
summary.table = data.frame (expected.values=apply (data [,-1], 2, mean),
	variances=apply (data [,-1], 2, var) )
summary.table = summary.table [order (summary.table [,1], decreasing=TRUE),]
round (summary.table, 3)


###################################################
### code chunk number 5: rrv.rnw:68-69
###################################################
plot (summary.table$variances, summary.table$expected.values) 


###################################################
### code chunk number 6: rrv.rnw:74-76
###################################################
correlation.matrix = cor (data [,-1])
round (correlation.matrix, 1)


###################################################
### code chunk number 7: rrv.rnw:81-84
###################################################
time = data [,1]
plot (time, data [,2], type="l", ylab="return")
lines (time, data [,3], lty=2)


###################################################
### code chunk number 8: rrv.rnw:90-92
###################################################
x = rrv (data [,2:3])
plot (x)


###################################################
### code chunk number 9: rrv.rnw:118-121
###################################################
#construct the object (also a function)
f = cpr_rrv (x)
f


###################################################
### code chunk number 10: rrv.rnw:129-132
###################################################
#construct the object (also a function)
f_expected = cpr_expected (x)
f_expected


###################################################
### code chunk number 11: rrv.rnw:137-139
###################################################
#plot of expected return as function of weight
plot (f_expected)


###################################################
### code chunk number 12: rrv.rnw:143-145
###################################################
#evaluate it, for an equally weighted portfolio
f_expected (c (0.5, 0.5) )


###################################################
### code chunk number 13: rrv.rnw:149-151
###################################################
f_variance = cpr_variance (x)
f_q0.25 = cpr_quantile (0.25, x)


###################################################
### code chunk number 14: rrv.rnw:155-156
###################################################
plot (f_variance)


###################################################
### code chunk number 15: rrv.rnw:158-159
###################################################
plot (f_q0.25)


###################################################
### code chunk number 16: rrv.rnw:187-189
###################################################
#2-source, first two variables
.textbookplot (data [,2:3])


###################################################
### code chunk number 17: rrv.rnw:192-200
###################################################
#3-source, incorrect, giving 2-source subsets
.textbookplot (data [,2:4])
#superimpose equally-weighted portfolio
m = as.matrix (data [,2:4])
w = c (1, 1, 1) / 3
x = cpr_sd (m)(w)
y = cpr_expected (m)(w)
points (x, y, cex=1.5) 


###################################################
### code chunk number 18: rrv.rnw:219-221
###################################################
r = rrv (data [,2])
plot (r)


###################################################
### code chunk number 19: rrv.rnw:231-232
###################################################
y = rprv (as.matrix (data [,2:4]), c (1, 1, 1) / 3)


###################################################
### code chunk number 20: rrv.rnw:237-238
###################################################
plot (y)


